Bug 180367 - editors/vim LUA option is broken
Summary: editors/vim LUA option is broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: David E. O'Brien
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-07 18:30 UTC by cheunghonyu
Modified: 2013-07-12 07:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cheunghonyu 2013-07-07 18:30:00 UTC
The LUA option is broken and no effect after compilation.

It is because vim cannot find /usr/local/bin/lua at "make configure" stage.

The default lang/lua port install the binary file to /usr/local/bin/lua51 but not /usr/local/bin/lua

How-To-Repeat: build vim with "WITH_VIM_OPTIONS" and "LUA" options. The output vim --version shows it does not enable lua extension yet.
Comment 1 Edwin Groothuis freebsd_committer 2013-07-07 18:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obrien

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-07-12 07:23:00 UTC
Author: obrien
Date: Fri Jul 12 06:22:46 2013
New Revision: 322816
URL: http://svnweb.freebsd.org/changeset/ports/322816

Log:
  Catch up with how we install Lua.
  
  PR:	180367

Modified:
  head/editors/vim/Makefile
  head/editors/vim/files/patch-configure

Modified: head/editors/vim/Makefile
==============================================================================
--- head/editors/vim/Makefile	Fri Jul 12 05:41:05 2013	(r322815)
+++ head/editors/vim/Makefile	Fri Jul 12 06:22:46 2013	(r322816)
@@ -188,7 +188,8 @@ pre-configure:
 	@${REINPLACE_CMD} -e ' \
 		s|\$$gtk_config_prefix/bin/gtk-config|\$${GTK_CONFIG}|g; \
 		s|\$$gtk_config_exec_prefix/bin/gtk-config|\$${GTK_CONFIG}|g; \
-		s|/usr/local|${LOCALBASE}|g' \
+		s|/usr/local|${LOCALBASE}|g; \
+		s|set dummy lua;|set dummy lua-${LUA_VER};|g' \
 		${WRKSRC}/auto/configure
 .if ${PORT_OPTIONS:MXTERM_SAVE}
 	@${REINPLACE_CMD} -e ' \

Modified: head/editors/vim/files/patch-configure
==============================================================================
--- head/editors/vim/files/patch-configure	Fri Jul 12 05:41:05 2013	(r322815)
+++ head/editors/vim/files/patch-configure	Fri Jul 12 06:22:46 2013	(r322816)
@@ -1,19 +1,42 @@
---- auto/configure.orig	2008-07-24 05:40:36.000000000 -0700
-+++ auto/configure	2008-08-25 07:37:37.000000000 -0700
-@@ -882 +882 @@ localedir='${datarootdir}/locale'
+--- auto/configure.orig	2013-07-11 22:23:02.000000000 -0700
++++ auto/configure	2013-07-11 22:51:08.000000000 -0700
+@@ -855,7 +855,7 @@ pdfdir='${docdir}'
+ psdir='${docdir}'
+ libdir='${exec_prefix}/lib'
+ localedir='${datarootdir}/locale'
 -mandir='${datarootdir}/man'
 +mandir='${prefix}/man'
-@@ -4710,2 +4710,3 @@ $as_echo "no" >&6; }
+ 
+ ac_prev=
+ ac_dashdash=
+@@ -4694,7 +4694,7 @@ $as_echo_n "checking Lua version... " >&
+ if test "${vi_cv_version_lua+set}" = set; then :
+   $as_echo_n "(cached) " >&6
+ else
+-   vi_cv_version_lua=`${vi_cv_path_lua} -e "print(_VERSION)" | sed 's/.* //'`
++   vi_cv_version_lua=`${vi_cv_path_lua} -e "print(_VERSION)" | sed 's/.* //' | tr -d '.'`
+ fi
+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: $vi_cv_version_lua" >&5
+ $as_echo "$vi_cv_version_lua" >&6; }
+@@ -4728,6 +4728,7 @@ $as_echo "no" >&6; }
+       LUA_LIBS="-L${vi_cv_path_lua_pfx}/lib -llua"
+     fi
      LUA_CFLAGS="-I${vi_cv_path_lua_pfx}/include${LUA_INC}"
 +    LUA_CFLAGS="-I${LUA_INCDIR}"
      LUA_SRC="if_lua.c"
-@@ -4725,3 +4726,4 @@ $as_echo "no" >&6; }
+     LUA_OBJ="objects/if_lua.o"
+     LUA_PRO="if_lua.pro"
+@@ -4759,7 +4760,8 @@ $as_echo "no" >&6; }
+       $as_echo "#define DYNAMIC_LUA 1" >>confdefs.h
+ 
        LUA_LIBS=""
 -      LUA_CFLAGS="-DDYNAMIC_LUA_DLL=\\\"${vi_cv_dll_name_lua}\\\" $LUA_CFLAGS"
 +      vi_cv_version_lua=${LUA_VER}
 +      LUA_CFLAGS="-DDYNAMIC_LUA_DLL=\\\"liblua-${vi_cv_version_lua}.so.$LUA_VER_SH\\\" $LUA_CFLAGS"
      fi
-@@ -5599,7 +5599,7 @@ $as_echo_n "checking for location of tcl
+   fi
+   if test "$fail_if_missing" = "yes" -a -z "$LUA_SRC"; then
+@@ -6285,7 +6287,7 @@ $as_echo_n "checking for location of tcl
  $as_echo "$try/tclConfig.sh" >&6; }
  	    . $try/tclConfig.sh
  	    	    TCL_LIBS=`eval echo "$TCL_LIB_SPEC $TCL_LIBS"`
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 David E. O'Brien freebsd_committer 2013-07-12 07:23:03 UTC
State Changed
From-To: open->closed

$ work/vim73/src/vim --version | grep lua 
+dialog_con      +lua/dyn         +rightleft       +windows 

$ work/vim73/src/vim /tmp/foo 
1 2 3 4 5 6 7 
0 8 6 4 2 
a 
ab 
abc 
abcd 
abcde 
abcdef 
<ESC>:luado return string.format("%st%d", line:reverse(), #line) 
7 6 5 4 3 2 1	13 
2 4 6 8 0	9 
a	1 
ba	2 
cba	3 
dcba	4 
edcba	5 
fedcba	6